The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Set IPv6

Prev Next

This URL does IPv6 Setting (Drop/Pass/Scan IPv6) on the specified Sensor.

Resource URL

POST /sensor/<sensor_id>/ipv6

Request Parameters

URL Request Parameter:

Field Name

Description

Data Type

Mandatory

sensor_id

Sensor Id

Number

Yes

Payload Request Parameters:

Field Name

Description

Data Type

Mandatory

ipv6Mode

IPv6 Mode to be set. Can be "DROP_IPV_6_TRAFFICINLINE_ONLY", "PASS_IPV_6_TRAFFIC", "SCAN_IPV_6_TRAFFIC"

string

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

status

Status returned

Number

Example

Request

POST https://<NSM_IP>/sdkapi/sensor/1001/ipv6

Payload

{
"ipv6Mode": "SCAN_IPV_6_TRAFFIC"
}

Response

{
"status":1
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor

2

500

1124

The Sensor is inactive